Subfields
Subfield
Retrieve detailed metadata for a single research subfield by its numeric ID.
GET
/
subfields
/
{id}
curl -X GET "https://api.hexagraph.in/subfields/1702"
fetch("https://api.hexagraph.in/subfields/1702")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/subfields/1702")
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
resp, err := http.Get("https://api.hexagraph.in/subfields/1702")
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"id": 2202,
"name": "Aerospace Engineering",
"description": "branch of engineering",
"ids": {
"wikidata": "http://www.wikidata.org/entity/Q3798668",
"wikipedia": "https://en.wikipedia.org/wiki/Aerospace_Engineering"
},
"display_name_alternatives": [
"aeronautical engineering"
],
"field": {
"id": "22",
"name": "Engineering"
},
"domain": {
"id": "3",
"name": "Physical Sciences"
},
"siblings": [
{
"id": 1100,
"name": "General Agricultural and Biological Sciences"
},
],
"topics": [
{
"id": "HX_T10069",
"name": "Antenna Design and Analysis"
},
],
"outputs_count": 27363527,
"cited_by_count": 17591690,
"updated_date": "2026-08-05T03:01:40",
"created_date": "2024-01-23T15:19:48"
}
{
"statusCode": 404,
"message": "Subfield with ID 9999 not found",
"error": "Not Found"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "IP rate limit exceeded (max 30 requests per minute). Please try again in 42 seconds (at 11:40:32 UTC).",
"reset_in_seconds": 42,
"reset_at_utc": "2026-08-05T11:40:32.000Z"
}
Retrieves a focused research subfield (Level 2 taxonomy node) by its numeric identifier (e.g.
1702 for Artificial Intelligence).
Path Parameters
string
required
Unique numeric subfield identifier (e.g.
1702).Response Fields
string
required
Numeric subfield identifier (e.g.
"1702").string
required
Subfield display name (e.g.
"Artificial Intelligence").string
Scope description.
array
Alternative display names or abbreviations.
array
array
integer
Total number of indexed outputs in this subfield.
integer
Total citation count received.
string
Last updated timestamp.
string
Creation timestamp.
curl -X GET "https://api.hexagraph.in/subfields/1702"
fetch("https://api.hexagraph.in/subfields/1702")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/subfields/1702")
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
resp, err := http.Get("https://api.hexagraph.in/subfields/1702")
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"id": 2202,
"name": "Aerospace Engineering",
"description": "branch of engineering",
"ids": {
"wikidata": "http://www.wikidata.org/entity/Q3798668",
"wikipedia": "https://en.wikipedia.org/wiki/Aerospace_Engineering"
},
"display_name_alternatives": [
"aeronautical engineering"
],
"field": {
"id": "22",
"name": "Engineering"
},
"domain": {
"id": "3",
"name": "Physical Sciences"
},
"siblings": [
{
"id": 1100,
"name": "General Agricultural and Biological Sciences"
},
],
"topics": [
{
"id": "HX_T10069",
"name": "Antenna Design and Analysis"
},
],
"outputs_count": 27363527,
"cited_by_count": 17591690,
"updated_date": "2026-08-05T03:01:40",
"created_date": "2024-01-23T15:19:48"
}
{
"statusCode": 404,
"message": "Subfield with ID 9999 not found",
"error": "Not Found"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "IP rate limit exceeded (max 30 requests per minute). Please try again in 42 seconds (at 11:40:32 UTC).",
"reset_in_seconds": 42,
"reset_at_utc": "2026-08-05T11:40:32.000Z"
}
⌘I
curl -X GET "https://api.hexagraph.in/subfields/1702"
fetch("https://api.hexagraph.in/subfields/1702")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/subfields/1702")
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
resp, err := http.Get("https://api.hexagraph.in/subfields/1702")
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"id": 2202,
"name": "Aerospace Engineering",
"description": "branch of engineering",
"ids": {
"wikidata": "http://www.wikidata.org/entity/Q3798668",
"wikipedia": "https://en.wikipedia.org/wiki/Aerospace_Engineering"
},
"display_name_alternatives": [
"aeronautical engineering"
],
"field": {
"id": "22",
"name": "Engineering"
},
"domain": {
"id": "3",
"name": "Physical Sciences"
},
"siblings": [
{
"id": 1100,
"name": "General Agricultural and Biological Sciences"
},
],
"topics": [
{
"id": "HX_T10069",
"name": "Antenna Design and Analysis"
},
],
"outputs_count": 27363527,
"cited_by_count": 17591690,
"updated_date": "2026-08-05T03:01:40",
"created_date": "2024-01-23T15:19:48"
}
{
"statusCode": 404,
"message": "Subfield with ID 9999 not found",
"error": "Not Found"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "IP rate limit exceeded (max 30 requests per minute). Please try again in 42 seconds (at 11:40:32 UTC).",
"reset_in_seconds": 42,
"reset_at_utc": "2026-08-05T11:40:32.000Z"
}